Summary: Allows several audio streams to play on a single audio device
Name:    esound
Version: 0.2.41
Release:    1%{?dist}
License: LGPLv2+
URL:     https://ftp.gnome.org/pub/GNOME/sources/esound

Source0: https://ftp.gnome.org/pub/gnome/sources/esound/0.2/esound-%{version}.tar.bz2
Patch4:  esound-0.2.38-drain.patch
Patch6:  esound-0.2.38-fix-open-macro.patch
Patch7:  remove-confusing-spew.patch
Patch8:  esound-nospawn.patch
Patch9:  esound-0.2.41-libm.patch
Patch10: esound-c99.patch

BuildRequires: audiofile-devel
BuildRequires: alsa-lib-devel
BuildRequires: autoconf automake libtool
BuildRequires: make

%description
EsounD, the Enlightened Sound Daemon, is a server process that mixes
several audio streams for playback by a single audio device. For
example, if you're listening to music on a CD and you receive a
sound-related event from ICQ, the two applications won't have to
queue for the use of your sound card.

Install esound if you'd like to let sound applications share your
audio device. You'll also need to install the audiofile package.

%package libs
Summary: Library to talk to the EsounD daemon

%description libs
The esound-libs package includes the libraries required
for applications to talk to the EsounD daemon.

%package tools
Summary: Commandline tools to talk to the EsounD daemon

%description tools
The esound-tools package includes commandline utilities
for controlling the EsounD daemon.

%package devel
Summary: Development files for EsounD applications
Requires: esound-libs = %{version}-%{release}
Requires: audiofile-devel
Requires: alsa-lib-devel
Requires: pkgconfig
Requires: automake

%description devel
The esound-devel package includes the libraries, include files and
other resources needed to develop EsounD applications.

%package daemon
Summary: EsounD daemon

%description daemon
EsounD, the Enlightened Sound Daemon, is a server process that mixes
several audio streams for playback by a single audio device. For
example, if you're listening to music on a CD and you receive a
sound-related event from IM client, the two applications won't have to
queue for the use of your sound card.
The daemon functionality was replaced with PulseAudio (PA) and the binary
was dropped from Fedora in October 2007. However, on PA-disabled systems
the daemon functionality was completely missing and therefore
reintroduced to Fedora in June 2013 in form of subpackage.
The daemon cannot run on PA-enabled systems.


%prep
%setup -q

%patch4 -p1 -b .drain-race
%patch6 -p1 -b .open-macro
%patch7 -p1 -b .spew
%patch8 -p1 -b .nospawn
%patch9 -p1 -b .jx
%patch10 -p1

%build
autoreconf -v -i -f
%configure --disable-static

EGREP='grep -E' make

%install
%makeinstall

rm -f %{buildroot}%{_sysconfdir}/esd.conf
rm -f %{buildroot}%{_libdir}/*.la



%files libs
%license COPYING.LIB
%doc AUTHORS ChangeLog docs/esound.sgml
%doc NEWS README TIPS TODO
%{_libdir}/*.so.*

%files tools
%{_bindir}/esdcat
%{_bindir}/esdctl
%{_bindir}/esddsp
%{_bindir}/esdfilt
%{_bindir}/esdloop
%{_bindir}/esdmon
%{_bindir}/esdplay
%{_bindir}/esdrec
%{_bindir}/esdsample
%{_mandir}/man1/esdcat.1.gz
%{_mandir}/man1/esdctl.1.gz
%{_mandir}/man1/esddsp.1.gz
%{_mandir}/man1/esdfilt.1.gz
%{_mandir}/man1/esdloop.1.gz
%{_mandir}/man1/esdmon.1.gz
%{_mandir}/man1/esdplay.1.gz
%{_mandir}/man1/esdrec.1.gz
%{_mandir}/man1/esdsample.1.gz
%exclude %doc %{_datadir}/doc/esound

%files devel
%{_bindir}/esd-config
%{_includedir}/*
%{_datadir}/aclocal/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_mandir}/man1/esd-config.1.gz

%files daemon
%{_bindir}/esd
%{_mandir}/man1/esd.1.gz

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.41-1
- initial build
